]> git.sur5r.net Git - bacula/bacula/commitdiff
Update add new tape tests
authorKern Sibbald <kern@sibbald.com>
Thu, 20 Mar 2008 09:31:40 +0000 (09:31 +0000)
committerKern Sibbald <kern@sibbald.com>
Thu, 20 Mar 2008 09:31:40 +0000 (09:31 +0000)
git-svn-id: https://bacula.svn.sourceforge.net/svnroot/bacula/trunk@6648 91ce42f0-d328-0410-95d8-f526ca767f89

regress/experimental-tape [new file with mode: 0755]
regress/nightly-tape [new file with mode: 0755]

diff --git a/regress/experimental-tape b/regress/experimental-tape
new file mode 100755 (executable)
index 0000000..550328a
--- /dev/null
@@ -0,0 +1,15 @@
+#!/bin/sh
+#
+# test only the disk based regression scripts
+#
+# Include full output
+save_debug=${REGRESS_DEBUG}
+REGRESS_DEBUG=1
+export REGRESS_DEBUG
+scripts/config_dart
+nice ctest -D Experimental -R "all-non-root-tape:"
+if [ $? != 0 ] ; then
+   echo "ctest failed re-running Submit"
+   ctest -D NightlySubmit
+fi
+REGRESS_DEBUG=${save_debug}
diff --git a/regress/nightly-tape b/regress/nightly-tape
new file mode 100755 (executable)
index 0000000..cf136f5
--- /dev/null
@@ -0,0 +1,15 @@
+#!/bin/sh
+#
+# test only the disk based regression scripts
+#
+# Include full output
+save_debug=${REGRESS_DEBUG}
+REGRESS_DEBUG=1
+export REGRESS_DEBUG
+scripts/config_dart
+nice ctest -D Nightly -R "all-non-root-tape:"
+if [ $? != 0 ] ; then
+   echo "ctest failed re-running Submit"
+   ctest -D NightlySubmit
+fi
+REGRESS_DEBUG=${save_debug}